Get multicall payout state
curl --request GET \
--url https://api.request.network/v2/secure-payments/multicall-payouts/{token} \
--header 'Authorization: <authorization>'import requests
url = "https://api.request.network/v2/secure-payments/multicall-payouts/{token}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.request.network/v2/secure-payments/multicall-payouts/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentType": "multicall",
"redirectUrl": "<string>",
"redirectLabel": "<string>",
"orchestratorId": "<string>",
"branding": {
"id": "<string>",
"clientIdId": "<string>",
"orchestratorId": "<string>",
"logoPath": "<string>",
"pageBackgroundColor": "<string>",
"cardBackgroundColor": "<string>",
"primaryActionColor": "<string>",
"primaryTextColor": "<string>",
"secondaryTextColor": "<string>",
"termsPath": "<string>",
"privacyPath": "<string>",
"displayRequestBranding": true
},
"analytics": {
"creationTimestamp": "2023-11-07T05:31:56Z",
"totalPaymentAmountUsd": "<string>",
"protocolFeeAmountUsd": "<string>",
"orchestratorPayerFeeAmountUsd": "<string>",
"orchestratorRecipientFeeAmountUsd": "<string>",
"feeAmountsUsdUnavailableReason": "fee_plan_unavailable",
"numberOfPaymentsExcludingFees": 1,
"destinationIds": [
"<string>"
],
"payoutKytProvider": "<string>"
},
"requestIds": [
"<string>"
],
"token": "<string>",
"canExecute": true,
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"children": [
{
"securePaymentToken": "<string>",
"requestId": "<string>",
"position": 1,
"executable": true,
"messageKey": "<string>",
"context": {
"requestId": "<string>",
"securePaymentToken": "<string>",
"position": 1,
"hasBeenPaid": true,
"securePaymentStatus": "<string>",
"requestStatus": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"network": "<string>",
"currency": "<string>"
},
"feePlan": {
"version": 1,
"grossAmountUsd": "<string>",
"netRecipientAmountUsd": "<string>",
"payerTotalAmountUsd": "<string>",
"totalFeesUsd": "<string>",
"payeeBorneFeesUsd": "<string>",
"payerBorneFeesUsd": "<string>",
"fees": [
{
"type": "<string>",
"label": "<string>",
"percentageBps": 123,
"capUsd": "<string>",
"calculatedAmountUsd": "<string>",
"destinationResolver": "<string>",
"destinationRef": {
"evmAddress": "<string>",
"tronAddress": "<string>"
},
"configSource": "<string>",
"fixedAmountUsd": "<string>"
}
]
},
"amount": "<string>",
"payee": "<string>",
"reference": "<string>"
}
],
"totals": {
"childCount": 1,
"blockedChildCount": 1,
"byDestinationCurrency": [
{
"network": "<string>",
"currency": "<string>",
"totalAmount": "<string>"
}
],
"amountSummary": {
"grossAmount": "<string>",
"netRecipientAmount": "<string>",
"totalFees": "<string>",
"payeeBorneFees": "<string>",
"payerBorneFees": "<string>",
"payerTotal": "<string>"
}
},
"paymentOptions": {}
}V2/Secure Payment
Get multicall payout state
Retrieves the passive multicall payout details payload for Secure Payment Page rendering. It does not return quotes, calldata, wallet routes, or execution data.
GET
/
v2
/
secure-payments
/
multicall-payouts
/
{token}
Get multicall payout state
Headers
Bearer token for session authentication (or use session_token cookie)
Path Parameters
Multicall payout token returned by the create endpoint
Example:
"01JZ4PC7EXAMPLEMULTICALL01"
Response
Multicall payout state retrieved successfully
Available options:
multicall Available options:
pending, expired, completed, partially_settled Show child attributes
Show child attributes
Vendor-neutral analytics metadata that SPP maps into Mixpanel shared properties. Amount values are decimal USD strings to avoid frontend precision loss.
Show child attributes
Show child attributes
Request Network request IDs represented by this payment
Multicall payout token
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I